# Uses of Class
bsh.BshClassManager

Packages that use BshClassManager
Package
Description
bsh
bsh.classpath
bsh.util

## Uses of BshClassManager in bsh

Methods in bsh that return BshClassManager
Modifier and Type
Method
Description
`static BshClassManager`
BshClassManager.`createClassManager(Interpreter interpreter)`
Create a new instance of the class manager.
`BshClassManager`
Interpreter.`getClassManager()`
Get the class manager associated with this interpreter (the BshClassManager of this interpreter's global namespace).
`BshClassManager`
NameSpace.`getClassManager()`
Methods in bsh with parameters of type BshClassManager
Modifier and Type
Method
Description
`abstract Object`
ClassGenerator.`invokeSuperclassMethod(BshClassManager bcm, Object instance, String methodName, Object[] args)`
Invoke a super.method() style superclass method on an object instance.
`Object`
ClassGeneratorImpl.`invokeSuperclassMethod(BshClassManager bcm, Object instance, String methodName, Object[] args)`
`static Object`
ClassGeneratorImpl.`invokeSuperclassMethodImpl(BshClassManager bcm, Object instance, String methodName, Object[] args)`
Constructors in bsh with parameters of type BshClassManager
Modifier
Constructor
Description
``
`NameSpace(BshClassManager classManager, String name)`
``
`NameSpace(NameSpace parent, BshClassManager classManager, String name)`

## Uses of BshClassManager in bsh.classpath

Subclasses of BshClassManager in bsh.classpath
Modifier and Type
Class
Description
`class`
`ClassManagerImpl`
Manage all classloading in BeanShell.
Constructors in bsh.classpath with parameters of type BshClassManager
Modifier
Constructor
Description
`protected`
`BshClassLoader(BshClassManager classManager)`
For use by children
``
`BshClassLoader(BshClassManager classManager, BshClassPath bcp)`
``
`BshClassLoader(BshClassManager classManager, URL[] bases)`
``
`DiscreteFilesClassLoader(BshClassManager classManager, DiscreteFilesClassLoader.ClassSourceMap map)`

## Uses of BshClassManager in bsh.util

Constructors in bsh.util with parameters of type BshClassManager
Modifier
Constructor
Description
``
`ClassBrowser(BshClassManager classManager)`